Subject: Re: DMA buffer synchronisation with ioremap()

From: Lee Revell <[email-masked]>
Date: Tue, 01 Aug 2006 15:51:15 -0400

On Mon, 2006-07-31 at 22:40 +0930, Phil Nitschke wrote:
> (I go no replies last week, so I'll try again, with less explanation...)
> 
> If I master a DMA from a PCI device into a main memory buffer allocated
> with dma_alloc_noncoherent(), I need to synchronise the destination
> buffer using dma_sync_single_range_for_xxx() before and after the DMA.
> 
> But if the buffer is a very large chunk of memory (reserved at boot
> time) which has been ioremap()-ed into the virtual address space, do I
> need to still synchronise that memory?

Maybe it's a better question for the linux-kernel list?

Lee